## Documentation Index

Fetch the complete documentation index at: [/llms.txt](https://docs.cognigy.com/llms.txt)

Use this file to discover all available pages before exploring further.

GET

/v2.0/flows/{flowId}/intents/{intentId}/sentences

### Try it

Get Example Sentences

### cURL

```bash
curl --request GET \
  --url https://api-trial.cognigy.ai/new/v2.0/flows/{flowId}/intents/{intentId}/sentences \
  --header 'X-API-Key: <api-key>'
```

### Python

```python
import requests

url = "https://api-trial.cognigy.ai/new/v2.0/flows/{flowId}/intents/{intentId}/sentences"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
```

### JavaScript (Fetch)

```javascript
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};

fetch('https://api-trial.cognigy.ai/new/v2.0/flows/{flowId}/intents/{intentId}/sentences', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```php


```

### Response Codes

* 200
* 400
* 401
* 402
* 403
* 404
* 405
* 409
* 413
* 500
* 501
* 502
* 503
* 504

### Sample Response

```json
{
  "items": [
    {
      "text": "I want to buy a pizza.",
      "localeReference": "<string>",
      "slots": [
        {
          "tagReference": "<string>",
          "lexiconReference": "<string>"
        }
      ],
      "feedbackReport": {
        "findings": [
          {}
        ],
        "info": {
          "trueIntent": "<string>",
          "topIntent": "<string>",
          "runnerUp": "<string>",
          "topScore": 123,
          "runnerUpScore": 123,
          "difference": 123,
          "trueIntentName": "<string>",
          "topIntentName": "<string>",
          "runnerUpIntentName": "<string>"
        }
      },
      "_id": "<string>",
      "createdAt": 1694518620,
      "lastChanged": 1694518620,
      "createdBy": "<string>",
      "lastChangedBy": "<string>"
    }
  ],
  "total": 1,
  "nextCursor": "<string>",
  "previousCursor": "<string>"
}
```

### Error Responses

#### 400 - Bad Request
```json
{
  "type": "Bad Request",
  "title": "Bad Request Error",
  "status": 400,
  "detail": "Validation failed. Missing payload.",
  "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
  "code": 1000,
  "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
  "details": {}
}
```

#### 401 - Unauthorized
```json
{
  "type": "Unauthorized",
  "title": "Unauthorized Error",
  "status": 401,
  "detail": "<string>",
  "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
  "code": 401,
  "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
  "details": {}
}
```

#### 403 - Forbidden
```json
{
  "type": "Forbidden",
  "title": "Forbidden Error",
  "status": 403,
  "detail": "<string>",
  "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
  "code": 1000,
  "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
  "details": {}
}
```

### Authorizations

| Header            | Type   | Required | Description                                 |
|--------------------|--------|----------|---------------------------------------------|
| X-API-Key          | string | yes      | Supply the API Key in the HTTP-Header      |

### Headers

The `Accept` header specifies the media type that the client expects in the response. Available options: `application/json`, `application/hal+json`, `application/xml`, `text/xml`, `text/csv`. The default value is `application/json`.

### Path Parameters

| Parameter   | Type   | Required | Description                                         |
|-------------|--------|----------|-----------------------------------------------------|
| flowId     | string | yes      | The unique identifier for the Flow.                |
| intentId   | string | yes      | The unique identifier for the Intent.              |

### Query Parameters

| Parameter | Type     | Description                                                                 |
|-----------|----------|-----------------------------------------------------------------------------|
| filter    | string   | The string to filter Example Sentences by the text in them.                |
| limit     | integer  | The maximum number of items to return. Default is 25, max is 100.        |
| skip      | integer  | The number of items to skip before returning the results. Default is 0.   |
| sort      | string   | The order in which results are returned. Format: `field:direction`        |
| next      | string   | The cursor for the next set of results. Required string length: 24.      |
| previous  | string   | The cursor for the previous set of results. Required string length: 24.  |
